$(document).ready( function() {	
	$(document).on("click", ".systemmenu-hide", function () {
		var icon = $(this);
		var menu = $(this).closest(".systemmenu");
		var h = menu.height();
	
		menu.animate({"margin-top": menu.css("margin-top") === "0px" ? "-" + h + "px" : "0px"},
			function () {
				if (menu.css("margin-top") === "0px") {
					icon.removeClass("systemmenu-open-icon").addClass("systemmenu-close-icon")
				} else {
					icon.removeClass("systemmenu-close-icon").addClass("systemmenu-open-icon")
				}
			}
		);
	});

	$(document).on("click", ".systemmenu-link,.systemmenu-button", function () {
		if ($(this).attr("data-selected") !== "true") websettings.systemMenu($(this).attr("data-id"));
	});

	$(document).on("mouseover", ".systemmenu-button", function () {
		$(this).children().first().css("opacity", 1.0);
	});

	$(document).on("mouseleave", ".systemmenu-button", function () {
		if ($(this).attr("data-selected") !== "true") $(this).children().first().css("opacity", 0.6);
	});

	$(document).on("mouseover", ".systemmenu-icon", function () {
		$(this).css("opacity", 1.0);
	});

	$(document).on("mouseleave", ".systemmenu-icon", function () {
		if ($(this).parent().attr("data-selected") !== "true") $(this).css("opacity", 0.6);
	});
});
